Name: openbsd-malloc
Version: 0
Release: alt2

Summary: Alternative malloc() implementation
License: Beerware (distributable)
Group: System/Libraries

Url: http://mr.himki.net
Source0: %url/OpenBSD_malloc_Linux.c
Source1: %url/index-alloc.html
Source2: %name
Source3: LICENSE
Packager: Michael Shigorin <mike@altlinux.org>

%description
This package contains experimental alternative to glibc
implementation of malloc() which is prone to heap fragmentation
due to use of deprecated brk() syscall; one might find it useful
to reduce e.g. Firefox memory consumption (though reportedly
won't work with e.g. Emacs).

Use openbsd-malloc some-program to run some-program this way.

NB: this package will hopefully get obsolete with glibc 2.6+

%prep

%build
%add_optflags %optflags_shared
gcc -shared %optflags %SOURCE0 -o malloc.so

%install
install -pD -m644 malloc.so %buildroot%_libdir/libmalloc.so
install -pD -m644 %SOURCE1 README.html
install -pD -m755 %SOURCE2 %buildroot%_bindir/%name
install -pD -m644 %SOURCE3 .
subst 's,/usr/lib,%_libdir,' %buildroot%_bindir/%name

%files
%_libdir/*
%_bindir/*
%doc README.html LICENSE 

%changelog
* Tue Jan 08 2008 Michael Shigorin <mike@altlinux.org> 0-alt2
- oops, fixed wrapper for x86_64 (thanks thresh@)

* Mon Jan 15 2007 Michael Shigorin <mike@altlinux.org> 0-alt1
- built for ALT Linux

